<template>
  <div class='supported-assets container'>
    <div class='supported-assets__img'>
        <img loading='lazy' src='../../assets/img/supported-assets.svg' alt='supported-assets' width='410' height='429'>
        <a href='https://www.tbcc.com/markets' target='_blank' class='arrow-link'>
          See the Full List
        </a>
    </div>
    <div class='supported-assets__content content'>
      <span class='content__bold-text'>
        1000+
      </span>
      <h2 class='content__title base-title'>{{ $t('title') }}</h2>
      <p class='content__subtitle'>{{ $t('subtitle') }}</p>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Supported assets",
    "subtitle": "Buy, keep, pay and invest in your favorite cryptocurrency"
  },
  "ch": {
    "title": "支持的资产",
    "subtitle": "购买、保存、支付和投资您最喜欢的加密货币"
  },
  "tur": {
    "title": "Supported assets",
    "subtitle": "Buy, keep, pay and invest in your favorite cryptocurrency"
  }
}
</i18n>

<style lang='scss' scoped>
.supported-assets {
  display: flex;
  align-items: center;

  @media (max-width: 767px) {
    flex-direction: column;
  }

  &__img,
  &__content {
    width: 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      width: 100%;
      max-width: 100%;
    }
  }

  &__img {
    display: flex;
    flex-direction: column;
    align-items: center;

    img {
      margin-bottom: 36px;
      width: 100%;
      height: 100%;
      max-width: 410px;
      max-height: 429px;

      @media (max-width: 767px) {
        margin: 0;
      }

      @media (min-width: 1200px) {
        width: 410px;
        height: 429px;
      }
    }
  }
}

.content {
  padding-top: 50px;
  padding-left: 20px;

  @media (max-width: 767px) {
    padding: 0;
    text-align: center;
    position: relative;
    top: -20px;
  }

  &__bold-text {
    font-weight: 400;
    font-size: 100px;
    color: #FFFFFF;
    margin: 0 0 30px;

    @media (max-width: 767px) {
      font-weight: 300;
    }
  }

  &__title {
    font-weight: 700;
    font-size: 36px;
    margin: 0 0 30px;


    @media (min-width: 1024px) {
      font-size: 45px;
    }

    @media (min-width: 1200px) {
      font-size: 48px;
      line-height: 59px;
    }
  }

  &__subtitle {
    font-size: 18px;
    line-height: 28px;
    color: #6983AB;
    max-width: 500px;

    @media (max-width: 767px) {
      margin: 0 auto;
      max-width: 316px;
      font-size: 16px;
      line-height: 24px;
    }
  }
}

.arrow-link {
  text-transform: none;
  color: #589BFF;
  background-image: url("../../assets/img/arrow-blue.svg");
  padding-right: 45px;
  margin-left: 30px;

  @media (max-width: 767px) {
    display: none;
  }
}
</style>
